<!DOCTYPE html>
<html>
<head>
   <title>Patern 26</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 10;
      var c = (jmlBaris/2);
      var tempJmlBaris = jmlBaris/2;
      var frontSpace = 0;
      var innerSapce = tempJmlBaris;
      var bottomStar = (jmlBaris*2)+1;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i < c) {
            if (i == 0) {
               for (let k = 0; k <= tempJmlBaris; k++) {
                  if (k == 0) {
                     output = output + '*';
                  } else if (k == tempJmlBaris) {
                     for (let l = 0; l < innerSapce; l++) {
                        output = output + '&nbsp;&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;&nbsp;';
                     
                  }
               }
            } else if (i < jmlBaris) {
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '*';
               }
               for (let j = 0; j <= tempJmlBaris; j++) {
                  if (j == 0) {
                     output = output + '*';
                  } else if (j == tempJmlBaris) {
                     for (let k = 0; k < innerSapce; k++) {
                        output = output + '&nbsp;&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;&nbsp;';
                     
                  }
               }
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '*';
               }
            }
            tempJmlBaris--;
            frontSpace++;
            innerSapce--
         } else {
            if (i == jmlBaris) {
               for (let k = 0; k <= tempJmlBaris; k++) {
                  if (k == 0) {
                     output = output + '*';
                  } else if (k == tempJmlBaris) {
                     for (let l = 0; l < innerSapce; l++) {
                        output = output + '&nbsp;&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;&nbsp;';
                     
                  }
               }
            } else if (i < jmlBaris) {
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '*';
               }
               for (let j = 0; j <= tempJmlBaris; j++) {
                  if (j == 0) {
                     output = output + '*';
                  } else if (j == tempJmlBaris) {
                     for (let k = 0; k < innerSapce; k++) {
                        output = output + '&nbsp;&nbsp;';
                     }
                     output = output + '*';
                  } else {
                     output = output + '&nbsp;&nbsp;';
                     
                  }
               }
               for (let k = 0; k < frontSpace; k++) {
                  output = output + '*';
               }
            }
            tempJmlBaris++;
            frontSpace--;
            innerSapce++;
         }
         
         
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>